%define tagver %(echo %version | tr . _)
Name:          gpsbabel
Version:       1.7.0
Release:       1mamba
Summary:       GPSBabel converts waypoints, tracks, and routes between popular GPS receivers and mapping programs
Group:         Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://www.gpsbabel.org
Source:        https://github.com/gpsbabel/gpsbabel.git/gpsbabel_%{tagver}/gpsbabel-%{version}.tar.bz2
#get source at http://www.gpsbabel.org/plan9.php 
#Source:        http://pkgs.fedoraproject.org/repo/pkgs/gpsbabel/gpsbabel-%{version}.tar.gz/sha512/5fdc3bc07ad52d6c1e3532b287dcb506aba612ae9bc8db393b4837d79d773d6e22ad31f8f8e65770ec52b1afbda556e452af20dada1e411de93ca6e18054225b/gpsbabel-%{version}.tar.gz
#Source:	       http://pkgs.fedoraproject.org/repo/pkgs/gpsbabel/gpsbabel-%{version}.tar.gz/2ff4dd37aba85e0211fd818d653f5943/gpsbabel-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libusb0-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GPSBabel converts waypoints, tracks, and routes between popular GPS receivers and mapping programs. It also has powerful manipulation tools for such data. By flattening the Tower of Babel that the authors of various programs for manipulating GPS data have imposed upon us, it returns to us the ability to freely move our own waypoint data between the programs and hardware we choose to use. It does not convert, transfer, send, or manipulate maps. We process data that may (or may not be) placed on a map, such as waypoints, tracks, and routes.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gpsbabel
%doc AUTHORS COPYING

%changelog
* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Sun Apr 09 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.5.4-1mamba
- update to 1.5.4

* Sat Jan 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-1mamba
- update to 1.5.3

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Thu May 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.4.3-1mamba
- package created by autospec
